import { h, Component } from 'preact';
import WBTabs from 'wb-tabs';
import WBTable from 'wb-table';
import WBPagination from 'wb-pagination';

class WBApp extends Component {
  render() {
    return (
      <div>
        <h1>WBApp</h1>
        <WBPagination numPages={ 100 } activePage={ 0 }
          onPageChanged={ idx => alert(idx) } />
        <WBTable
          columns={ [ 'Name', 'Description', 'Size' ] }
          rows={ [
            [ 'Name', 'Description', '0 bytes'],
            [ 'Name', 'Description', '0 bytes'],
            [ 'Name', 'Description', '0 bytes'],
            [ 'Name', 'Description', '0 bytes'],
            [ 'Name', 'Description', '0 bytes']
          ] } />
        <WBTabs tabs={ [
          { 'name': 'Ala', 'isActive': true },
          "Ma",
          { 'name': 'Kota', 'isDisabled': true }
        ] } onTabChanged={ idx => alert(idx) } />
      </div>
    );
  }
}

export default WBApp;
