import { h, Component } from 'preact';
import makeArvadosRequest from 'make-arvados-request';

class WBProjectListing extends Component {

  componentDidMount() {
    let filters = [
      [ 'group_class', '=', 'project' ],
      [ 'owner_uuid', '=', this.props.ownerUuid ]
    ];
    let req = makeArvadosRequest(his.props.arvHost, this.props.arvToken,
      '/arvados/v1/groups?filters=' + encodeURIComponent(JSON.stringify(filters)))
  }

  render({ arvHost, arvToken, ownerUuid }) {
    return (
      <div>Project Listing</div>
    );
  }
}
